import { PuppeteerRunnerExtension, UserFlow as UserFlowRecording } from "@puppeteer/replay";
import { Browser, Page } from "puppeteer";
import { UserFlowRecordingStep } from './types';
import { UserFlow } from 'lighthouse/lighthouse-core/fraggle-rock/user-flow';
export declare class UserFlowRunnerExtension extends PuppeteerRunnerExtension {
    private flow;
    constructor(browser: Browser, page: Page, flow: UserFlow, opts?: {
        timeout?: number;
    });
    runStep(step: UserFlowRecordingStep, flowRecording: UserFlowRecording): Promise<void>;
}
