"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.code = void 0;
const constants_1 = require("./constants");
/**
 * ```{format}
 *   {code}
 * ```
 * or with inline set to `true`
 * `{code}`
 */
function code(code, cfg) {
    if (cfg === null || cfg === void 0 ? void 0 : cfg.inline) {
        return `\`${code}\``;
    }
    const format = (cfg === null || cfg === void 0 ? void 0 : cfg.format) || 'javascript';
    return `
\`\`\`${format}${constants_1.NEW_LINE}
${code}
\`\`\` ${constants_1.NEW_LINE}
${constants_1.NEW_LINE}`;
}
exports.code = code;
//# sourceMappingURL=code.js.map