import { Error, ValidatorFn } from './types';
export declare function applyValidations<T>(value: T, validators: ValidatorFn[]): Error;
export declare function hasError(errors: Error): boolean;
export declare const VALIDATORS: {
    required: (value: string) => {
        required: boolean;
    } | null;
    oneOf: (set: string[]) => (value: string) => {
        oneOf: {
            value: string;
        };
    } | null;
    allOf: (set: string[]) => (values: string[]) => null;
};
