"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.param = void 0;
const yargs_1 = require("yargs");
const pre_set_1 = require("../../pre-set");
exports.param = {
    verbose: {
        alias: 'v',
        type: 'boolean',
        description: 'Run with verbose logging',
        default: (0, pre_set_1.getEnvPreset)().verbose
    }
};
// We don't rely on yargs option normalization features as this can happen before cli bootstrap
function get() {
    const { verbose } = yargs_1.argv;
    return verbose;
}
exports.get = get;
//# sourceMappingURL=verbose.js.map